---

# .pre-commit-config.yaml
# ========================
#
# pre-commit clean
# pre-commit install
# pre-commit install-hooks
#
# precommit hooks installation
#
# - pre-commit autoupdate
#
# - pre-commit run black
#
# continuous integration
# ======================
#
# - pre-commit run --all-files
#

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-yaml
    - id: check-json
    - id: fix-encoding-pragma
      args: ['--remove']
    - id: forbid-new-submodules
    - id: mixed-line-ending
      args: ['--fix=lf']
      description: Forces to replace line ending by the UNIX 'lf' character.
    # - id: pretty-format-json
    #   args: ['--no-sort-keys']
    - id: check-added-large-files
      args: ['--maxkb=500']
    - id: no-commit-to-branch
      args: [--branch, staging]

